System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The abstract class exposes an abstract method, . This abstract method allows a derived class to add descriptions of SOAP extensions when reflecting a Web method into objects that are placed in a object. The method itself is not an input. The descriptions get added for all Web methods belonging to a specified binding that produces a .

You can use a to generate a Web Services Description Language (WSDL) document via the method. The class and related classes can also use a to generate client proxy code or abstract server code.

Use a class derived from the class in conjunction with a class derived from the abstract class to extend run-time processing of SOAP messages on the client or service.

You can specify in a configuration file via the <soapExtensionReflectorTypes> element and its child add element. You can also apply the configuration to an ASP.NET Web application that publishes a Web service.

Provides a common interface and functionality for classes to add SOAP extension information to a object on a per-method basis.

- Constructor
  To be added

  Initializes an instance of the class

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void To be added.

  Generates service-specific description information that gets placed in a object corresponding to a binding.

- Property
  System.Web.Services.Description.ProtocolReflector To be added: an object of type 'ProtocolReflector'

  If you implement a class that is derived from the abstract class, you do not need to implement a class that is derived from to invoke the method or to set the property.

  Gets or sets the instance of a class derived from the abstract class that invokes the method.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The method is called for each Web method that belongs to a binding that the represents. The method does not use the Web method directly. The SOAP extension information gets added for all Web methods in a binding reflected from a Web service class.

  An implementation of the can generate information like operation binding, abstract operation, and messages.

  Abstract method that a derived class must implement to add SOAP extension information to a object on a per-method basis.

  1.0.5000.0
  2.0.0.0